ur_rna.Utilities

## Class CommandLineParser.FlagDef

- java.lang.Object
- - ur_rna.Utilities.CommandLineParser.FlagDef

- Enclosing class:
    CommandLineParser

      public static class CommandLineParser.FlagDef
      extends java.lang.Object

  Contains information about flags expected on the command-line. This information includes the flag name (and any aliases it may have). whether the flag can be repeated,

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `aliases`
    `boolean` | `allowRepeats`
    `java.lang.String` | `name`
    `static java.lang.String[]` | `NO_ALIASES`
    `CommandLineParser.ParamAffinity` | `paramAffinity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagDef(java.lang.String name, CommandLineParser.ParamAffinity canHaveParams, boolean allowRepeats)`
    `FlagDef(java.lang.String name, CommandLineParser.ParamAffinity canHaveParams, boolean allowRepeats, java.lang.String... aliases)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aliases

          public final java.lang.String[] aliases

    - #### allowRepeats

          public final boolean allowRepeats

    - #### name

          public final java.lang.String name

    - #### NO_ALIASES

          public static final java.lang.String[] NO_ALIASES

    - #### paramAffinity

          public final CommandLineParser.ParamAffinity paramAffinity

  - ### Constructor Detail

    - #### FlagDef

          public FlagDef(java.lang.String name,
                         CommandLineParser.ParamAffinity canHaveParams,
                         boolean allowRepeats)

    - #### FlagDef

          public FlagDef(java.lang.String name,
                         CommandLineParser.ParamAffinity canHaveParams,
                         boolean allowRepeats,
                         java.lang.String... aliases)